Skip to main content
`Ctrl`+`K`

# pandas.NamedAgg

class pandas.NamedAgg(column, aggfunc)

  Helper for column specific aggregation with control over output column names.

  Subclass of typing.NamedTuple.

  Parameters:
    column Hashable

      Column label in the DataFrame to apply aggfunc.

    aggfunc function or str

      Function to apply to the provided column. If string, the name of a built-in pandas function.

  Examples

      >>> df = pd.DataFrame({"key": [1, 1, 2], "a": [-1, 0, 1], 1: [10, 11, 12]})
      >>> agg_a = pd.NamedAgg(column="a", aggfunc="min")
      >>> agg_1 = pd.NamedAgg(column=1, aggfunc=lambda x: np.mean(x))
      >>> df.groupby("key").agg(result_a=agg_a, result_1=agg_1)
           result_a  result_1
      key
      1          -1      10.5
      2           1      12.0

  Attributes

  `aggfunc` | Alias for field number 1
  `column` | Alias for field number 0

  Methods

  `count`(value, /) | Return number of occurrences of value.
  `index`(value[, start, stop]) | Return first index of value.